Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS05eGZ3LWpqcTItN3Y4aM4AA5Eg

1Panel set-cookie is missing the Secure keyword

Summary

The https cookie that comes with the panel does not have the Secure keyword, which may cause the cookie to be sent in plain text when accessing http accidentally.

https://developer.mozilla.org/zh-CN/docs/Web/HTTP/Headers/Set-Cookie#secure

PoC

Directly configure https for the panel, and then capture the packet when logging in again and find that the cookie does not have the Secure keyword

Impact

Everyone who has configured the panel https

Permalink: https://github.com/advisories/GHSA-9xfw-jjq2-7v8h
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS05eGZ3LWpqcTItN3Y4aM4AA5Eg
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: 25 days ago
Updated: 17 days ago


CVSS Score: 6.5
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:L

Identifiers: GHSA-9xfw-jjq2-7v8h, CVE-2024-24768
References:

Affected Packages

go:github.com/1Panel-dev/1Panel
Versions: <= 1.9.5
Fixed in: 1.9.6